3 Re-tagged as Gui-extensions
| link

Anguilla GUI Extension - Unable to populate item using minor verisionversion

2 Removed SDL & Version tags, they're not relevant here, added Tridion version tag (2011)
| link
1
source | link

Anguilla - Unable to populate item using minor verision

How to populate an item using minor version? Am using the below code snippet.

var item = $models.getItem('tcm:222-7244-64-v1'); - Works fine.

var item = $models.getItem('tcm:222-7244-64-v1.3'); - Throws error.

I was able to get the minor version from DAL using below query as neither the CoreService nor Anguilla Framework provides it, but i need to populate the item using minor version. Could someone help me to resolve it?

select max(version)||'.'|| max(revision) as rev from items where item_reference_id='7244'